Distribution:   CCux
Packager:       Stefan Gottwald <gotti@ccux-linux.de>

Summary: 	Print dialog and printer manager for XFce 4.
Name: 		xfprint
Version:	4.6.1
Release:	2
License:	BSD
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Group: 		Graphical Desktop/Xfce/Base
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires: libtasn1-devel
BuildRequires: libtasn1

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: cups-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: e2fsprogs-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnutls-devel
BuildRequires: gtk2+-devel
BuildRequires: krb5-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libtasn1-devel
BuildRequires: libX11-devel
BuildRequires: libxcb-devel
BuildRequires: libxfce4util-devel
BuildRequires: libxfcegui4-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: pkg-config
BuildRequires: startup-notification-devel
BuildRequires: xcb-util-devel
BuildRequires: xfconf-devel
BuildRequires: zlib-devel

%description
xfprint contains a print dialog and a printer manager for the XFce 4 Desktop Environment,
it supports CUPS, BSD-LPR and file as printing destination.

%package	devel
Summary:        Development files for xfprint
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description	devel
Header files for the printer manager of XFce 4.

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%prep
%setup -q -n %{name}-%{version}

%build
%configure --sysconfdir=%_sysconfdir/xfce
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/xfprint4
%{_bindir}/xfprint4-manager
%{_bindir}/xfprint-settings
%{_libdir}/libxfprint.so.*
%{_libdir}/xfce4/xfprint-plugins/bsdlpr_plugin.so
%{_libdir}/xfce4/xfprint-plugins/cups_plugin.so
%{_datadir}/icons/hicolor/24x24/devices/printer.png
%{_datadir}/icons/hicolor/48x48/devices/printer.png
%{_datadir}/icons/hicolor/scalable/devices/printer.svg
%{_locale}/*/LC_MESSAGES/xfprint.mo
%{_datadir}/xfce4/doc/*/images/xfprint_headings.png
%{_datadir}/xfce4/doc/*/images/xfprint_input.png
%{_datadir}/xfce4/doc/*/images/xfprint-manager.png
%{_datadir}/xfce4/doc/*/images/xfprint-manager-queue.png
%{_datadir}/xfce4/doc/*/images/xfprint_mcs_plugin.png
%{_datadir}/xfce4/doc/*/images/xfprint_prettyprinting.png
%{_datadir}/xfce4/doc/*/images/xfprint_sheets.png
%{_datadir}/xfce4/doc/*/images/xfprint_virtualpages.png
%{_datadir}/xfce4/doc/*/xfprint.html

%files devel
%defattr(-,root,root)
%{_includedir}/xfce4/libxfprint
%{_libdir}/libxfprint.a
%{_libdir}/libxfprint.la
%{_libdir}/libxfprint.so
%{_pkgconfig}/xfprint-1.0.pc
%{_libdir}/xfce4/xfprint-plugins/bsdlpr_plugin.a
%{_libdir}/xfce4/xfprint-plugins/bsdlpr_plugin.la
%{_libdir}/xfce4/xfprint-plugins/cups_plugin.a
%{_libdir}/xfce4/xfprint-plugins/cups_plugin.la
%{_applications}/xfprint.desktop
%{_applications}/xfprint-manager.desktop
%{_applications}/xfprint-settings.desktop
%{_datadir}/gtk-doc/html/libxfprint

%changelog
* Mon May 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.6.1-2
- Version Update
* Sun Sep 13 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.6.1-1
- Version Update
* Sat Mar 14 2009 Christian Wasem <wasem@ccux-linux.de> 4.6.0-1
- Version update
* Sun Feb 15 2009 Christian Wasem <wasem@ccux-linux.de> 4.5.92-1
- Version update
* Sun Feb 15 2009 Christian Wasem <wasem@ccux-linux.de> 4.4.3-1
- Version update
* Thu May 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.4.2-2
- rebuilt against gnutls 2.2.2
* Sun Dec 30 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.4.2-1
- Version update
* Sun Oct 07 2007 Stefan Gottwald <gotti@ccux-linux.de> 4.4.1-1
- Version update
* Wed Jan 31 2007 Christian Metzen <metzench@ccux-linux.de> 4.4.0-1
- Version update
* Sat Nov 25 2006 Christian Metzen <metzench@ccux-linux.de> 4.3.99.2-1
- cleaned version, moved libexecdir and sysconfdir
* Thu Nov 23 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.99-2
- Version Update RC2
* Mon Sep 04 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.99-1
- Version Update, RC1
* Thu Jul 20 2006 Stefan Gottwald <gotti@ccux-linux.de> 4.3.90-1
- Version Update, beta2
* Sat Nov 12 2005 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Fri Oct 14 2005 Stefan Gottwald <gotti@ccux-linux.de> 4.2.2-1
- Initial Release
